Subject: [bug#33136] [PATCH 2/7] gnu: qt: Use system sqlite.

From: Efraim Flashner <[email-masked]>
Date: Sat, 27 Oct 2018 23:19:49 +0300

On Fri, Oct 26, 2018 at 11:45:58AM +0200, Danny Milosavljevic wrote:
> Hi,
> 
> > +(define-public sqlite-with-column-metadata
> > +  (package (inherit sqlite)
> > +    (name "sqlite-with-column-metadata")
> > +    (arguments
> > +     (substitute-keyword-arguments (package-arguments sqlite)
> > +       ((#:configure-flags flags)
> > +        `(list (string-append "CFLAGS=-O2 -DSQLITE_SECURE_DELETE "
> > +                              "-DSQLITE_ENABLE_UNLOCK_NOTIFY "
> > +                              "-DSQLITE_ENABLE_DBSTAT_VTAB "
> > +                              "-DSQLITE_ENABLE_COLUMN_METADATA")))))))
> 
> Note sure about the name.  It's doing a whole lot of other stuff.
> 
> How about sqlite/qt ?
> 

The easiest way to add the flag was to overwrite the configure flags
from regular sqlite, so it really is regular sqlite with the extra flag.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted